org.jboss.netty.channel

## Class FixedReceiveBufferSizePredictor

- java.lang.Object
- - org.jboss.netty.channel.FixedReceiveBufferSizePredictor

- All Implemented Interfaces:
    ReceiveBufferSizePredictor

      public class FixedReceiveBufferSizePredictor
      extends Object
      implements ReceiveBufferSizePredictor

  The `ReceiveBufferSizePredictor` that always yields the same buffer size prediction. This predictor ignores the feed back from the I/O thread.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedReceiveBufferSizePredictor(int bufferSize)` Creates a new predictor that always returns the same prediction of the specified buffer size.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `nextReceiveBufferSize()` Predicts the capacity of the `ChannelBuffer` for the next read operation depending on the actual number of read bytes in the previous read operation.
    `void` | `previousReceiveBufferSize(int previousReceiveBufferSize)` Updates this predictor by specifying the actual number of read bytes in the previous read operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedReceiveBufferSizePredictor

          public FixedReceiveBufferSizePredictor(int bufferSize)

      Creates a new predictor that always returns the same prediction of the specified buffer size.

  - ### Method Detail

    - #### nextReceiveBufferSize

          public int nextReceiveBufferSize()

      Description copied from interface: `ReceiveBufferSizePredictor`
      Predicts the capacity of the `ChannelBuffer` for the next read operation depending on the actual number of read bytes in the previous read operation.
      Specified by:
        `nextReceiveBufferSize` in interface `ReceiveBufferSizePredictor`
      Returns:
        the expected number of readable bytes this time

    - #### previousReceiveBufferSize

          public void previousReceiveBufferSize(int previousReceiveBufferSize)

      Description copied from interface: `ReceiveBufferSizePredictor`
      Updates this predictor by specifying the actual number of read bytes in the previous read operation.
      Specified by:
        `previousReceiveBufferSize` in interface `ReceiveBufferSizePredictor`
      Parameters:
        `previousReceiveBufferSize` - the actual number of read bytes in the previous read operation

Copyright © 2008-2012 The Netty Project. All Rights Reserved.